/*********************************************************\
*  AVR MegaSquirt - 2003                                  *
*  (C) 2003 [Michael Kristensen, mik@caffrey.dk]          *
***********************************************************
*  -- History --                                          *
*    release 0.1 - 06-03-2003                             *
*            http://caffrey.dk/megasquirt                 *
*    initial Motorola version by Bowling & Grippo (2002)  *
*            http://www.bgsoflex.com/megasquirt.html      *
\*********************************************************/


#ifndef __FUELCONTROL_H__
#define __FUELCONTROL_H__

#include <inttypes.h>

#ifndef GENBOARDv3
void stopinj1(void);
void stopinj2(void);
void stopinj12(void);
void startinj1(void);
void startinj2(void);
void startinj12(void);
void injAgopwm(void);
void injBgopwm(void);
#endif

void fuelpump_on(void);
void fuelpump_off(void);
void engine_off(void);
void engine_is_running(void);
void injector_pwm_init(void);

#define WINDOW_AFTER_STOPAT 25
#define COND_STOP(a) (etime.now- a < WINDOW_AFTER_STOPAT)

uint8_t new_spark;
void calc_ign_advance(void);
void int6_init(void);

extern uint32_t spark_time;
extern uint16_t spark_rpm;


#endif
