#ifndef __EDIS_H__
#define __EDIS_H__

/*
 IGN_PORT and IGN_OUT are used for EDIS too..
 if you use the misc0 NPN output on genboard v2.2 controlled by PB7 (which is now default)
 see wiki http://www.squirrelpf.com/msavr/index.php?page=DocsAndFAQ%2FEDISFAQ
 you need a pullup resistor, and you get inverted output!!!
 Therefore config.ign_out bit0 must be 1 (read: for EDIS ign_out=01)
*/

#ifndef IGN_PORT
// using genboard v2.2 MISC output (inverted by the NPN) by default
#define IGN_PORT	PORTB
#define IGN_DDR		DDRB
#define IGN_OUT	7
#endif	// IGN_PORT

// compatibility
#ifdef EDIS_SAW_INVERTED
#define IGN_OUT_INVERTED
#endif
 
#endif
