/*********************************************************\
*  AVR MegaSquirt - 2003                                  *
*  (C) 2003 [Marcell Gal cell at x-dsl.hu]                *
***********************************************************
* used for simple table-configurable port actions defines *
\*********************************************************/

#ifndef __PORTACT_H__
#define __PORTACT_H__

/* 
 defines for "fromlen" parameter.
 init is init (only 2 portacts, sorry)
 For injectors the PORTACT_OFF stuff should be executed as well?
 Unfortunately ignition is problematic: for dwell-based the PORTACT_OFF
 is desirable (won't release spark without previous PORTACT_ON)
 but MSD wants PORTACT_ON (PORTACT_OFF releases spark there almost any time)
 This might go to config (3 bytes for inj + 3 bytes for ign), but that
 would be hard to explain to some people.
*/
#define PORTACT_INIT 02
// turns injector OFF, releases spark
#define PORTACT_OFF 23
// both the above (except if 00's are in the table init section ....)
#define PORTACT_INIT_OFF 05
// turns injector ON, starts dwell
#define PORTACT_ON	53


#endif

